javax.jws.soap

## Enum SOAPBinding.Use

- java.lang.Object
- - java.lang.Enum<SOAPBinding.Use>
  - - javax.jws.soap.SOAPBinding.Use

All Implemented Interfaces:
  Serializable, Comparable<SOAPBinding.Use>

Enclosing class:
  SOAPBinding

    public static enum SOAPBinding.Use
    extends Enum<SOAPBinding.Use>

The SOAP binding use

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ENCODED`
`LITERAL`

### Method Summary

Methods
`static SOAPBinding.Use` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SOAPBinding.Use[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LITERAL

    public static final SOAPBinding.Use LITERAL

#### ENCODED

    public static final SOAPBinding.Use ENCODED

### Method Detail

#### values

    public static SOAPBinding.Use[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SOAPBinding.Use c : SOAPBinding.Use.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SOAPBinding.Use valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.